import {Component, Input, OnInit} from '@angular/core';
import {Observation, ObservationType} from '@nspop/gm-web-facade-api';

@Component({
  selector: 'app-fetus-related-measurements',
  templateUrl: './fetus-related-measurements.component.html',
  styleUrls: ['./fetus-related-measurements.component.scss']
})
export class FetusRelatedMeasurementsComponent implements OnInit {
  public ObservationType = ObservationType; // Exposed here so we can use actual enum in the html template

  @Input() public fetusName: string | undefined;
  @Input() public observations: Observation[] |undefined;


  constructor() { }

  ngOnInit(): void {
  }

  public getSingleMeasurementValue(type: ObservationType): string {
    const measurement = this.getMeasurement(type)?.values?.[0];
    if (!measurement) {
      return '?';
    }
    return `${measurement.value || ''} ${measurement.unit || ''}`;
  }

  private getMeasurement(type: ObservationType): Observation | undefined {
    return (this.observations || [])
      .filter(x => x.type === type && x.fetus === this.fetusName)
      .sort((a, b) => b.dateOfMeasurement.getTime() - a.dateOfMeasurement.getTime())?.[0];
  }
}
