import { Injectable } from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {Observable} from 'rxjs';
import {environment} from '../../environments/environment';
import {saveAs} from 'file-saver';

@Injectable({
  providedIn: 'root'
})
export class PdfService {

  constructor(private httpClient: HttpClient) {}

  generatePdf(): Observable<Blob> {
    let headers = new HttpHeaders();
    headers = headers.set('Accept', 'application/pdf');
    return this.httpClient.get(`${environment.base_path }/api/pdf/v1/healthcareProfessional`, {headers, responseType: 'blob'});
  }

  savePdf(blob: Blob): void {
    saveAs(blob);
  }
}
