import { ComponentFixture, TestBed } from '@angular/core/testing';
import { InfoBoxComponent } from './info-box.component';
import {MatIconTestingModule} from '@angular/material/icon/testing';
import {MatIconModule} from '@angular/material/icon';
import {By} from '@angular/platform-browser';

describe('InfoBoxComponent', () => {
  let component: InfoBoxComponent;
  let fixture: ComponentFixture<InfoBoxComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ InfoBoxComponent ],
      imports: [MatIconModule, MatIconTestingModule]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(InfoBoxComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('displays edit-link if provided', () => {
    component.editLink = '/whatever';
    fixture.detectChanges();
    const button = fixture.debugElement.query(By.css('a'));
    expect(button).toBeDefined();
  });

  it('does not display edit-link if none is provided', () => {
    fixture.detectChanges();
    const button = fixture.debugElement.query(By.css('a'));
    expect(button).toBeFalsy();
  });
});
