import {AfterContentChecked, Component, HostListener, Input} from '@angular/core';
import {ActiveRequests} from '../services/active-requests.service';

@Component({
  selector: 'app-loading',
  templateUrl: './loading.component.html',
  styleUrls: ['./loading.component.scss']
})
export class LoadingComponent implements AfterContentChecked {
  @Input() diameter = 100;
  public isLoading = false;
  constructor(private activeRequests: ActiveRequests) {}

  public ngAfterContentChecked(): void {
    this.isLoading = this.activeRequests.hasBlockingRequests;
  }

  @HostListener('document:keydown', ['$event'])
  public disableKeys(event: KeyboardEvent): void {
    if (this.isLoading) {
      // We don't want users to be able to click around while loading - not even if they're tricky enough to try to tab around
      event.returnValue = false;
      event.preventDefault();
    }
  }
}
