import {ObjectHelper} from './objectHelper';

describe('ObjectHelper', () => {
  it('adds value to a long path', () => {
    const obj: any = {};
    ObjectHelper.setOnPath(obj, 'my.path.of.properties.value', 3);
    expect(obj?.my?.path?.of?.properties?.value).toBe(3);
  });

  it('handles path of length 1', () => {
    const obj: any = {};
    ObjectHelper.setOnPath(obj, 'property', 3);
    expect(obj?.property).toBe(3);
  });

  it('does not create path if value is to be undefined any ways', () => {
    const obj: any = {my: {path: undefined}};
    ObjectHelper.setOnPath(obj, 'my.path.of.properties.value', undefined);
    expect(obj?.my?.path?.of).toBeUndefined();
  });

  it('returns the desired value if path is empty', () => {
    const obj: any = {my: {path: undefined}};
    expect(ObjectHelper.setOnPath(obj, '', 3)).toBe(3);
    expect(obj?.my?.path?.of).toBeUndefined();
    expect(obj?.my).toBeDefined();
  });
});
