import {ComponentFixture, fakeAsync, TestBed, tick} from '@angular/core/testing';

import {NoActivePathwayComponent} from './no-active-pathway.component';
import {of} from 'rxjs';
import {DataCardService} from '../api/data-card.service';

describe('NoActivePathwayComponent', () => {
  let component: NoActivePathwayComponent;
  let fixture: ComponentFixture<NoActivePathwayComponent>;
  let dataCardServiceStub: DataCardService;

  beforeEach(async () => {
    dataCardServiceStub = {
      create: () => of({}),
      refresh: () => undefined,
    } as any;

    await TestBed.configureTestingModule({
      declarations: [ NoActivePathwayComponent ],
      providers: [
        {provide: DataCardService, useValue: dataCardServiceStub},
      ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(NoActivePathwayComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('triggers data reload after creating a new episode of care', fakeAsync(() => {
    spyOn(dataCardServiceStub, 'refresh');
    component.createPathway();
    tick();
    expect(dataCardServiceStub.refresh).toHaveBeenCalled();
  }));
});
