import { OptionalDatePipe } from './optional-date.pipe';

describe('OptionalDatePipe', () => {

  it ('handles null date', () => {
    const pipe = new OptionalDatePipe('da');
    expect(pipe.transform(undefined)).toEqual('-');
  });

  it ('handles undefined date', () => {
    const pipe = new OptionalDatePipe('da');
    expect(pipe.transform(null)).toEqual('-');
  });

  it ('formats correct date', () => {
    const pipe = new OptionalDatePipe('da');
    expect(pipe.transform(new Date(Date.parse('01-01-2020 00:00:00')))).toEqual('01.01.2020');
  });
});
