import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Observable } from 'rxjs';
import {PrivatelyMarkedGuard} from './privately-marked.guard';

@Injectable({
  providedIn: 'root'
})
export class NegatePrivatelyMarkedGuard implements CanActivate {
  constructor(private privatelyMarkedGuard: PrivatelyMarkedGuard) {}

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
      return !this.privatelyMarkedGuard.canActivate(route, state);
  }
}
