import {TestBed} from '@angular/core/testing';

import {SorItem, SorService} from './sor.service';
import {BehaviorSubject} from 'rxjs';
import {HttpClientTestingModule, HttpTestingController} from '@angular/common/http/testing';
import {environment} from '../../environments/environment';

describe('SorService', () => {
  let service: SorService;

  const testSor: BehaviorSubject<SorItem[]> = new BehaviorSubject([
    {name: 'Trifork', sorId: '293591000016003'},
    {name: 'SDS', sorId: '121231230331231'},
    {name: 'NSP', sorId: '232231230333211'},
    {name: 'BMX', sorId: '343231230333214'},
    {name: 'Enterprise', sorId: '454231230335532'},
    {name: 'Duckwise', sorId: '264231230334324'},
    {name: 'Arosii', sorId: '544231230334324'},
    {name: 'Front End', sorId: '5412231230334324'},
    {name: 'Back End', sorId: '144231230334324'},
  ]);
  let httpTestController: HttpTestingController;

  beforeEach(() => {
    TestBed.configureTestingModule({imports: [HttpClientTestingModule]});
    httpTestController = TestBed.inject(HttpTestingController);
    service = TestBed.inject(SorService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });

  it('should look up', (done) => {
    service.lookUp('Trifork').subscribe(res => {
      expect(res).toBeDefined();
      done();
    });
    httpTestController.expectOne(
      environment.base_path + '/api' + '/sorlookup?name=Trifork').flush({entities: testSor, additionalRecordsExist: false}
    );
  });
});
