import { ComponentFixture, TestBed } from '@angular/core/testing';

import { SomethingWentWrongComponent } from './something-went-wrong.component';
import {WindowService} from '../services/window.service';

describe('SomethingWentWrongComponent', () => {
  let component: SomethingWentWrongComponent;
  let fixture: ComponentFixture<SomethingWentWrongComponent>;
  let locationStub: Location;
  let windowServiceStub: WindowService;

  beforeEach(async () => {
    locationStub = {
      href: '/forløbsplan',
      pathname: '/',
    } as any;

    windowServiceStub = {
      nativeWindow: () => ({
        location: locationStub
      } as Window),
    } as any;

    await TestBed.configureTestingModule({
      declarations: [ SomethingWentWrongComponent ],
      providers: [
        {provide: WindowService, useValue: windowServiceStub}
      ],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SomethingWentWrongComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should reload window and go to pathname when onReloadButtonClick is called', () => {
    expect(windowServiceStub.nativeWindow().location.href).not.toBe(windowServiceStub.nativeWindow().location.pathname);
    component.onReloadButtonClick();
    expect(windowServiceStub.nativeWindow().location.href).toBe(windowServiceStub.nativeWindow().location.pathname);
  });
});
