// https://stackoverflow.com/questions/34298133/angular-cookies
/**
 * delete cookie
 * @param name cookie name
 */
export function deleteCookie(name: string): void{
  setCookie(name, '', -1);
}

/**
 * set cookie
 * @param name Cookie name
 * @param value Cookie value
 * @param expireDays Cookie expiration
 * @param path cookie path
 */
export function setCookie(name: string, value: string, expireDays: number, path: string = ''): void {
  const d: Date = new Date();
  d.setTime(d.getTime() + expireDays * 24 * 60 * 60 * 1000);
  const expires = `expires=${d.toUTCString()}`;
  const cpath = path ? `; path=${path}` : '';
  document.cookie = `${name}=${value}; ${expires}${cpath}; SameSite=Lax`;
}
