import {copy} from './copy';
import deepEqual from 'deep-equal';

describe('copy', () => {
  it('makes deep copy of object', () => {
    const myObject = {a: 'someString', b: {property: new Date(), property2: true}, c: [1, 2, 3]};
    const duplicate = copy(myObject);
    expect(duplicate).not.toBe(myObject);
    expect(deepEqual(myObject, duplicate)).toBeTrue();
  });

  it('handles dates', () => {
    const myObject = {a: new Date(Date.parse('01-01-2020 00:00:00'))};
    const duplicate = copy(myObject);
    expect(duplicate.a.getTime()).toEqual(myObject.a.getTime());
  });

  it('handles null', () => {
    expect(copy( null)).toBeNull();
  });

  it('handles undefined', () => {
    expect(copy( undefined)).toBeUndefined();
  });
});
